## fluster 0.0~git20221201.13b4e2990620

=== debian/changelog ===
fluster (0.0~git20221201.13b4e2990620-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rebase patches onto new upstream release
  * Remove patches merged upstream
  * d/watch: Remove invalid tarball URL
  * d/copyright: Clarify project license

 -- Christopher Obbard <chris.obbard@collabora.com>  Thu, 08 Dec 2022 15:50:35 +0000

fluster (0.0~git20221018.187faa0ab8f0-1) unstable; urgency=medium

  * Initial release. (Closes: #1017438)
  * Improve d/copyright, thanks to ftpmasters.

 -- Christopher Obbard <chris.obbard@collabora.com>  Thu, 27 Oct 2022 15:37:14 +0100
