=== debian/control ===
Source: fluster
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Christopher Obbard <chris.obbard@collabora.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://github.com/fluendo/fluster
Vcs-Browser: https://salsa.debian.org/multimedia-team/fluster
Vcs-Git: https://salsa.debian.org/multimedia-team/fluster.git

Package: fluster
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Testing framework for multimedia decoder conformance
 Fluster is a testing framework written in Python for decoders conformance. It
 is composed of a CLI application that runs a number of test suites with the
 supported decoders. Its purpose is to check different decoder implementations
 against known test suites with known and tested results. It has been originally
 designed to check the conformance of H.265/HEVC decoders, but it also supports
 H.264/AVC and can be easily extended to add more decoders and test suites.
 .
 It is useful for codec development to ensure that the decoder driver and
 userspace components are implemented correctly.
