=== debian/changelog ===
fluster (0.1.0-1) unstable; urgency=medium

  * Update d/watch to point at tagged releases
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Christopher Obbard <chris.obbard@collabora.com>  Sun, 25 Dec 2022 10:53:41 +0000
