=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fluendo/fluster
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fluster
 Vcs-Git: https://salsa.debian.org/multimedia-team/fluster.git
