=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.1.0~git%cd.%h, repack, compression=xz" \
 https://github.com/fluendo/fluster.git \
 HEAD

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fluster-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/fluendo/fluster/tags .*/v?(\d\S*)\.tar\.gz
