## fluster 1.0.1%2Bgit20231211.d9106f5

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.0.1+git%cd.%h, repack, compression=xz" \
 https://github.com/fluendo/fluster.git \
 HEAD
