## fluster 1.0.1+git20230606.0c9a7db

=== debian/changelog ===
fluster (1.0.1+git20230606.0c9a7db-1) unstable; urgency=medium

  * d/watch: Remove watch line for tagged releases
  * d/watch: Bump version tag
  * New upstream version 1.0.1+git20230606.0c9a7db
  * Drop patches applied upstream
  * d/copyright: Bump date
  * Add patch to allow fluster to be ran from system directory
  * Add initial man page

 -- Christopher Obbard <chris.obbard@collabora.com>  Fri, 07 Jul 2023 16:41:55 +0100
