=== debian/changelog ===
fluster (1.0.1+git20231211.d9106f5-1) unstable; urgency=medium

  * New upstream version 1.0.1+git20231211.d9106f5

 -- Christopher Obbard <obbardc@debian.org>  Wed, 10 Jan 2024 17:17:56 +0000

fluster (1.0.1+git20231127.9c70053-1) unstable; urgency=medium

  * New upstream version 1.0.1+git20231127.9c70053

 -- Christopher Obbard <obbardc@debian.org>  Tue, 28 Nov 2023 10:47:01 +0000

fluster (1.0.1+git20231126.2e8d5ab-1) unstable; urgency=medium

  * New upstream version 1.0.1+git20231126.2e8d5ab
  * Drop patches implemented upstream

 -- Christopher Obbard <obbardc@debian.org>  Mon, 27 Nov 2023 09:29:41 +0000

fluster (1.0.1+git20231107.590aad7-1) unstable; urgency=medium

  * New upstream version 1.0.1+git20231107.590aad7
  * Update my email address to obbardc@debian.org

 -- Christopher Obbard <obbardc@debian.org>  Sat, 18 Nov 2023 11:17:32 +0000

fluster (1.0.1+git20231003.303a6ed-1) unstable; urgency=medium

  * New upstream version 1.0.1+git20231003.303a6ed

 -- Christopher Obbard <chris.obbard@collabora.com>  Fri, 20 Oct 2023 15:17:51 +0100
