=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Christopher Obbard <chris.obbard@collabora.com>
+Uploaders: Christopher Obbard <obbardc@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
