=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,9 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+override_dh_auto_build:
+	pandoc debian/fluster.1.md -s -t man > debian/fluster.1
+	dh_auto_build
+endif
