=== debian/changelog ===
fluster (1.0.1+really0.4.1-1) unstable; urgency=medium

  * New upstream version 1.0.1+really0.4.1
  * d/salsa-ci.yml: Use latest include URL
  * d/control: Update Standards-Version to 4.7.2 (no changes)
  * d/watch: Use GitHub tags for upstream releases & use proper version

 -- Christopher Obbard <obbardc@debian.org>  Mon, 25 Aug 2025 22:09:04 +0100
