=== debian/watch ===
version=4
opts="pgpmode=none, \
 uversionmangle=s/^(.*)$/1.0.1+really$1/" \
 https://github.com/fluendo/fluster/tags \
 .*/archive/refs/tags/v?(\d[\d\.]*)\.tar\.gz
