## fluster 1.0.1+really0.6.0

=== debian/changelog ===
fluster (1.0.1+really0.6.0-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.3
  * d/control: Recommend decoder backends

 -- Christopher Obbard <obbardc@debian.org>  Wed, 31 Dec 2025 01:06:39 +0000

fluster (1.0.1+really0.6.0-1) unstable; urgency=medium

  * New upstream version 1.0.1+really0.6.0

 -- Christopher Obbard <obbardc@debian.org>  Sun, 14 Dec 2025 10:44:27 +0000
