=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fluster
 Section: video
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Christopher Obbard <obbardc@debian.org>
 Rules-Requires-Root: no
@@ -11,7 +10,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fluendo/fluster
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fluster
 Vcs-Git: https://salsa.debian.org/multimedia-team/fluster.git
@@ -19,6 +18,14 @@
 Package: fluster
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Recommends:
+ ffmpeg,
+ gstreamer1.0-libav,
+ gstreamer1.0-plugins-bad,
+ gstreamer1.0-plugins-good,
+ gstreamer1.0-plugins-ugly,
+ gstreamer1.0-tools,
+ gstreamer1.0-vaapi,
 Description: Testing framework for multimedia decoder conformance
  Fluster is a testing framework written in Python for decoders conformance. It
  is composed of a CLI application that runs a number of test suites with the
